﻿/**Begin D:\PDM差异化\PDM_UPGRADE\pdm_next\TEN_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_TWROLLBACK') 
 CREATE TABLE T_BID_TWROLLBACK (
FID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FTYPE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIDSECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATEDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_RBSUPPLIER') 
 CREATE TABLE T_BID_RBSUPPLIER (
FID BIGINT DEFAULT 0 NOT NULL,
FPKID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_R_ORG_ENTRY') 
 CREATE TABLE T_BID_R_ORG_ENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBIDPEOJECT BIGINT DEFAULT 0 NOT NULL,
FNEW_ORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_R_ORG') 
 CREATE TABLE T_BID_R_ORG (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PBSECTION_REPAIR_L') 
 CREATE TABLE T_BID_PBSECTION_REPAIR_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FSECTIONNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_PBSECTION_REPAIR') 
 CREATE TABLE T_BID_PBSECTION_REPAIR (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSECTIONNAME VARCHAR(100) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_OPENFILE_REPAIR') 
 CREATE TABLE T_BID_OPENFILE_REPAIR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FBIDOPENID BIGINT DEFAULT 0 NOT NULL,
FONLINEBIDID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_INVITEROLLBACK') 
 CREATE TABLE T_BID_INVITEROLLBACK (
FID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSECTION VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DECISIONFILE_REPAIR') 
 CREATE TABLE T_BID_DECISIONFILE_REPAIR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FDECISIONID BIGINT DEFAULT 0 NOT NULL,
FFILESOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIDOPENID BIGINT DEFAULT 0 NOT NULL,
FQUESTIONCLARIFYID BIGINT DEFAULT 0 NOT NULL,
FBUSTALKID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_DATA_REPAIR') 
 CREATE TABLE T_BID_DATA_REPAIR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(255) DEFAULT ' ' NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BUSTALKFILE_REPAIR') 
 CREATE TABLE T_BID_BUSTALKFILE_REPAIR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FBUSTALKID BIGINT DEFAULT 0 NOT NULL,
FFILESOURCE VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIDOPENID BIGINT DEFAULT 0 NOT NULL,
FQUESTIONCLARIFYID BIGINT DEFAULT 0 NOT NULL,
FBIZSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BPSUPPLIER_REPAIR') 
 CREATE TABLE T_BID_BPSUPPLIER_REPAIR (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FTENDERSTRATEGY VARCHAR(50) DEFAULT ' ' NOT NULL,
FTENDERSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_BIDPUBLISH_REPAIR') 
 CREATE TABLE T_BID_BIDPUBLISH_REPAIR (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FBIDPUBLISHID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ADREPAIRENTRY') 
 CREATE TABLE T_BID_ADREPAIRENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FBILLNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FENTITYID VARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLID BIGINT DEFAULT 0 NOT NULL,
FENTRYBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ABORDREPAIR') 
 CREATE TABLE T_BID_ABORDREPAIR (
FID BIGINT DEFAULT 0 NOT NULL,
FBIDPROJECTID BIGINT DEFAULT 0 NOT NULL,
FDISPLAYFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FDELETEDATAFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FRECOVERFLAG VARCHAR(50) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FISFROMCANCLE VARCHAR(50) DEFAULT ' ' NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FCREATETIME DATETIME,
FBILLSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FBILLNO VARCHAR(30) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_BID_ABINVITEENTRY') 
 CREATE TABLE T_BID_ABINVITEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ BIGINT DEFAULT 0 NOT NULL,
FSRCENTRYID BIGINT DEFAULT 0 NOT NULL,
FINVITATIONSTATUS VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\PDM差异化\PDM_UPGRADE\pdm_next\TEN_table.sql **/
